image: node:12

stages:
  - deploy

deploy:
  stage: deploy
  script:
    - npm config set @${CI_PROJECT_ROOT_NAMESPACE}:registry ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/npm/
    - npm config set ${CI_API_V4_URL#https?}/projects/${CI_PROJECT_ID}/packages/npm/:_authToken ${CI_JOB_TOKEN}
    - npm install
    - npm run build
    - npm publish --verbose
